Missing virt-df/.depend.
[virt-top.git] / README
diff --git a/README b/README
index 819df41..02be231 100644 (file)
--- a/README
+++ b/README
@@ -12,14 +12,16 @@ known functionality to OCaml programs.
 Requirements
 ----------------------------------------------------------------------
 
-To build the bindings and mlvirsh (required):
+To build the bindings, examples, and mlvirsh (required):
 
   GNU make, gcc
   libvirt >= 0.2.1 (from http://libvirt.org/,
                    get the latest version if you can)
   ocaml >= 3.08 (from http://caml.inria.fr/)
+
+Optional, but highly recommended:
+
   findlib (from http://www.ocaml-programming.de/packages/)
-  Extlib (from http://ocaml-lib.sourceforge.net/)
 
 To build the OCaml interface documentation (optional):
 
@@ -28,12 +30,14 @@ To build the OCaml interface documentation (optional):
 To build virt-top (optional):
 
   ocaml-curses (from http://www.nongnu.org/ocaml-tmk/)
+  Extlib (from http://ocaml-lib.sourceforge.net/)
   xml-light (from http://tech.motion-twin.com/doc/xml-light/)
   ocaml CSV library (from http://merjis.com/developers/csv)
   ocaml-calendar (http://www.lri.fr/~signoles/prog.en.html)
 
-  [Only ocaml-curses is required for building virt-top.  The other
-  packages are not required, but you will get reduced functionality].
+  [Only ocaml-curses and Extlib are required for building virt-top.
+  The other packages are not required, but you will get reduced
+  functionality].
 
 To build mlvirtmanager (optional):
 
@@ -44,6 +48,10 @@ To build the manpages (optional):
 
   perldoc (part of Perl)
 
+To build a Windows installer (optional):
+
+  NSIS (http://nsis.sf.net)
+
 OCaml packages are available for Fedora 7 and above (ocaml,
 ocaml-findlib, ocaml-findlib-devel, ocaml-ocamldoc, ocaml-extlib,
 ocaml-extlib-devel, ocaml-lablgtk, ocaml-lablgtk-devel, ocaml-curses,
@@ -77,6 +85,40 @@ contains the build directory.  eg:
   LD_LIBRARY_PATH=libvirt/ mlvirsh/mlvirsh.opt
 
 
+Windows
+----------------------------------------------------------------------
+
+I have built libvirt (the bindings), examples, mlvirsh and
+mlvirtmanager on Windows using the MinGW port of OCaml.  It's quite
+likely that it will also work under VC++, but I have not tested this.
+
+You should make sure that your $PATH (environment variable) contains
+the names of the directories containing all required DLLs, in
+particular you will require:
+
+  libvirt-*.dll                (from libvirt)
+  libgnutls-*.dll      (from GnuTLS)
+  libgcrypt-*.dll
+  libgpg-error-*.dll
+  libtasn1-*.dll
+  libxdr.dll           (from libxdr)
+  libxml2-*.dll                (from libxml2)
+  and, a multitude of DLLs from GTK if you want to run mlvirtmanager
+
+You can use a tool such as Dependency Walker to find/check the
+locations of dependent libraries.
+
+To build the Windows installer, you will need NSIS.  Then do:
+
+  ./configure --with-nsis=/c/Progra~1/NSIS
+  make all opt
+  make wininstaller
+
+This should build a Windows binary installer called
+ocaml-libvirt-$VERSION.exe which includes the bindings, all required
+DLLs and all programs that can be built under Windows.
+
+
 mlvirsh
 ----------------------------------------------------------------------